Bug 428235 - Pulsaudio crashes with VLC
Pulsaudio crashes with VLC
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-10 02:14 EST by Need Real Name
Modified: 2008-12-18 09:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-18 09:36:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2008-01-10 02:14:01 EST
Description of problem:
If I run the vlc client on an audio file (or video file with audio
track) and then exit (either using the exit menu command or ctl-C)
*before* stopping the play, then pulseaudio "freezes" giving an
annoying buzzing type sound (as if the last partial note keeps
replaying). This requires me to manually stop and restart the
pulseaudio daemon.

If I stop playing the audio/video file *before* exiting then
everything is ok.

This seems to be a nasty bug somewhere in the vlc-pulseaudio
interface.

Note that I do not get a similar problem when I ctl-c out of mplayer or any
other audio player for that matter.

(The half-backed implementation of pulseaudio on F8 is getting really
frustrating!!!)

Version-Release number of selected component (if applicable):
vlc-0.8.6-d from atrpms

How reproducible: 100%


Steps to Reproduce:
1. Install vlc from atrpms
2. vlc <audio file>
3. Menu: File->Exit (or press ctl-c a couple of time)
4. Pulseaudio crashes!
Actual results:


Expected results:


Additional info:
Comment 1 Need Real Name 2008-01-10 02:15:24 EST
Also, there were no messages to /var/log/messages. Even running pulseaudio -vvv
from the command line didn't turn up anything interesting at the time of exit
Comment 2 Need Real Name 2008-01-15 14:22:22 EST
I am able to AVOID the crash by changing the "Audio output module" (under
Settings->Preferences: Audio->Output modules) from "Default" (which I believe is
Alsa) to "EsounD audio output"

While this avoids crashes, it doesn't address the two root problems with PulseAudio:
- A bad setting in a client program should not crash PulseAudio and wipe out
sound for the system. There is a bug out there somewhere....

- More fundamentally, PulseAudio IMHO should never have been released into F8
when it breaks so many standard applications requiring all types of non-obvious
changes to settings and workarounds.

Comment 3 Lubomir Kundrak 2008-03-04 16:04:42 EST
Thanks for your report.

(In reply to comment #0)
> Description of problem:
> If I run the vlc client on an audio file (or video file with audio
> track) and then exit (either using the exit menu command or ctl-C)
> *before* stopping the play, then pulseaudio "freezes" giving an
> annoying buzzing type sound (as if the last partial note keeps
> replaying). This requires me to manually stop and restart the
> pulseaudio daemon.

Could you attempt to obtain a stack trace of the pulseaudio daemon?
You will probably need to be root for that as it runs setuid.

Install yum-utils package and do a debuginfo-install pulseaudio.
Then connect the debugger with "gdb -p `pidof pulseaudio`" and do a "bt"

More on stack traces:
http://fedoraproject.org/wiki/StackTraces

> (The half-backed implementation of pulseaudio on F8 is getting really
> frustrating!!!)

I am eager to see a patch for a full-baked implementation from you.

> While this avoids crashes, it doesn't address the two root problems with
PulseAudio:
> - A bad setting in a client program should not crash PulseAudio and wipe out
> sound for the system. There is a bug out there somewhere....

An interesting observation. Do you volunteer to fix that?

> - More fundamentally, PulseAudio IMHO should never have been released into F8
> when it breaks so many standard applications requiring all types of non-obvious
> changes to settings and workarounds.

Fortunatelly your opintion doesn't matter here. What would matter would be
constructive contributions such as fixes, or bug reports (such as this one).
What doesn't count as a constructive contribution is insulting developers who
invest their free time and effort into making the operating system that you run
happen.
Comment 4 Bug Zapper 2008-11-26 04:22:01 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Lennart Poettering 2008-12-18 09:36:46 EST
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.